                        * {
                            margin: 0;
                            padding: 0;
                            box-sizing: border-box;
                            font-family: 'Roboto', sans-serif;
                        }
                        
                        .contenedor {
                            background: #ccc;
                            width: 100%;
                            max-width: 1000%;
                            margin: auto;
                            /* Flexbox */
                            display: flex;
                            flex-flow: row wrap;
                        }
                        
                        a {
                            text-decoration: none;
                            color: #fff;
                            font-size: 20px;
                        }
                        
                        body {
                            background: #e9e9e9;
                        }
                        
                        header {
                            width: 100%;
                            padding: 20px;
                            /* Flexbox */
                            background-image: linear-gradient(to bottom, rgba(224, 144, 24, 0.52), rgba(34, 23, 2, 0.73)), url(../img/header.jpg);
                            display: flex;
                            justify-content: space-between;
                            align-items: center;
                            flex-direction: row;
                            flex-wrap: wrap;
                        }
                        
                        header img {
                            width: 150px;
                        }
                        /*header */
                        
                        nav {
                            width: 100%;
                            /* Flexbox */
                            display: flex;
                            flex-wrap: wrap;
                            align-items: center;
                        }
                        /*header  */
                        
                        nav a {
                            background: #c0392b;
                            color: #fff;
                            text-align: center;
                            text-decoration: none;
                            padding: 10px;
                            /* Flexbox */
                            flex-grow: 1;
                        }
                        /*header */
                        
                        nav a:hover {
                            background: #e74c3c;
                        }
                        
                        .main {
                            background: #fff;
                            padding: 1px;
                            flex: 1 1 50%;
                            /*flex:1;*/
                        }
                        /*BLOQUE DE IMAHGEN CON TEXTO*/
                        
                        .details button {
                            padding: 10px 20px;
                            font-size: 16px;
                            background: none;
                            border-style: none;
                            border: 1px solid white;
                            color: white;
                            margin-top: 20px;
                            transition: background 300ms;
                            cursor: pointer;
                            margin-left: 10px;
                        }
                        
                        .details button:hover {
                            background: white;
                            color: black;
                        }
                        /*FIN DEL BLOQUE DE IMAHGEN CON TEXTO*/
                        
                        .main article {
                            margin-bottom: 20px;
                            padding-bottom: 20px;
                        }
                        
                        .main article:nth-last-child(1) {
                            margin-bottom: 0;
                            padding-bottom: 0;
                            border-bottom: none;
                        }
                        
                        article .imagen img {
                            margin-top: 3%;
                            max-width: 100%;
                        }
                        
                        article .imagen {
                            display: flex;
                            flex-direction: row;
                            flex-wrap: nowrap;
                            justify-content: center;
                        }
                        
                        .imagen img {
                            max-width: 100%;
                        }
                        
                        aside {
                            background: #e67e22;
                            padding: 10px;
                            /*FLEX*/
                            flex: 1 1 50%;
                            /*flex:0 0 300px;*/
                            display: flex;
                            flex-wrap: wrap;
                            flex-direction: column;
                            justify-content: flex-start;
                        }
                        
                        aside .widget {
                            background: #d35400;
                            height: 150%;
                            margin: 10px;
                        }
                        /*titulo*/
                        
                        .widget {
                            padding: 3%;
                        }
                        
                        .title {
                            margin-top: 3%;
                            font-size: 20px;
                            color: #fff;
                        }
                        
                        .leyenda p {
                            margin-top: 15%;
                            text-align: justify;
                            color: #fff;
                            font-size: 15px;
                        }
                        
                        h5 {
                            color: #fff;
                        }
                        
                        .materiales {
                            color: #fff;
                            font-size: 15px;
                        }
                        
                        .precio p {
                            margin-top: 2%;
                            margin-bottom: 2%;
                            font-size: 15px;
                            color: #fff;
                        }
                        /*boton*/
                        
                        .widget button {
                            padding: 10px 20px;
                            font-size: 16px;
                            background: none;
                            border-style: none;
                            border: 1px solid white;
                            color: white;
                            margin-top: 20px;
                            transition: background 300ms;
                            cursor: pointer;
                            margin-left: 40%;
                        }
                        
                        .widget button:hover {
                            background: #44bd32;
                            color: black;
                        }
                        /*cajas de tallas*/
                        
                        #lista {
                            margin-top: 1%;
                        }
                        
                        #lista li {
                            display: inline;
                        }
                        
                        #lista li a {
                            display: flex;
                            border: solid;
                            font-family: Arial;
                            font-size: 13px;
                            text-decoration: none;
                            float: left;
                            padding: 20px;
                            background-color: none;
                            color: #fff;
                        }
                        /*fin de cajas de tallas*/
                        
                        footer h3 {
                            color: aliceblue;
                        }
                        
                        footer {
                            background: #2c3e50;
                            width: 100%;
                            padding: 30px;
                            /* Flexbox */
                            display: flex;
                            justify-content: center;
                        }
                        
                        @media screen and (max-width: 1024px) {
                            .leyenda {
                                margin-top: 7%;
                            }
                            #lista ul li a {
                                padding-right: 2%;
                            }
                            #lista {
                                margin-bottom: 3%;
                            }
                            .widget button {
                                margin-right: 10%;
                            }
                        }
                        
                        @media screen and (max-width: 850px) {
                            #lista {
                                padding: 5px;
                                font-size: 7px;
                                display: flex;
                            }
                            .tallas {
                                margin-bottom: 10%;
                            }
                            .leyenda {
                                margin-top: -3%;
                            }
                            .leyenda p {
                                font-size: 15px;
                            }
                            .main .imagen {
                                margin-top: 65px;
                            }
                        }
                        
                        @media screen and (max-width: 800px) {
                            article .imagen img {
                                max-width: 100%;
                            }
                            .contenedor {
                                flex-direction: column;
                            }
                            header {
                                flex-direction: column;
                                padding: 0;
                            }
                            header .logo {
                                margin: 20px;
                            }
                            header nav {
                                width: 100%;
                            }
                            #lista {
                                padding: 0;
                                margin-top: 1%;
                                margin-bottom: -13%;
                            }
                            aside {
                                flex-direction: row;
                                flex: 0;
                            }
                            aside {
                                flex-direction: column;
                            }
                        }
                        
                        @media screen and (max-width: 600px) {
                            aside {
                                flex-direction: column;
                            }
                            footer {
                                justify-content: space-around;
                            }
                        }
                        
                        @media screen and (max-width: 500px) {
                            .details p {
                                font-size: 18px;
                            }
                            aside {
                                flex-direction: column;
                            }
                        }